Bug 502265 - Pulseaudio Volume Control window becomes unresponsive/hangs
Pulseaudio Volume Control window becomes unresponsive/hangs
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Jaroslav Kysela
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-22 16:59 EDT by Bruce Brackbill
Modified: 2010-06-28 08:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:40:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bruce Brackbill 2009-05-22 16:59:47 EDT
Description of problem:

I don't know where to begin with my alsa/Pulseaudio problems other than saying i'm getting 100% CPU, scratchy sound, applications that use sound crash and kernel oops.

Here is some alsa info displayed in: tail -f /var/log/messages :


Watching video downloaded from: http://twit.cachefly.net/odtv/0506-floss68.mp4 :

May 22 12:48:34 localhost kernel: ALSA sound/core/pcm_lib.c:166: BUG: stream = 0, pos = 0x8000, buffer size = 0x8000, period size = 0x8000
May 22 12:52:54 localhost kernel: ALSA sound/core/pcm_lib.c:166: BUG: stream = 0, pos = 0x8000, buffer size = 0x8000, period size = 0x8000
May 22 12:53:09 localhost kernel: ALSA sound/core/pcm_lib.c:166: BUG: stream = 0, pos = 0x8000, buffer size = 0x8000, period size = 0x8000
May 22 12:56:11 localhost kernel: ALSA sound/core/pcm_lib.c:166: BUG: stream = 0, pos = 0x8000, buffer size = 0x8000, period size = 0x8000
May 22 12:56:22 localhost kerneloops: Submitted 1 kernel oopses to www.kerneloops.org
May 22 13:01:10 localhost kernel: ALSA sound/core/pcm_lib.c:166: BUG: stream = 0, pos = 0x8000, buffer size = 0x8000, period size = 0x8000
May 22 13:01:19 localhost kerneloops: Submitted 1 kernel oopses to www.kerneloops.org


Finished watching Video, open up PulseAudio Volume Control ( the control dialog becomes unresponsive/hangs ):

May 22 13:40:47 localhost pulseaudio[2004]: alsa-util.c: snd_pcm_avail() returned a value that is exceptionally large: 2147451220 bytes (24347519 ms).
May 22 13:40:47 localhost pulseaudio[2004]: alsa-util.c: Most likely this is a bug in the ALSA driver 'snd_ali5451'. Please report this issue to the ALSA developers.
May 22 13:40:47 localhost pulseaudio[2004]: alsa-util.c: snd_pcm_dump():
May 22 13:40:47 localhost pulseaudio[2004]: alsa-util.c: Hardware PCM card 0 'ALI 5451' device 0 subdevice 0
May 22 13:40:47 localhost pulseaudio[2004]: alsa-util.c: Its setup is:
May 22 13:40:47 localhost pulseaudio[2004]: alsa-util.c:   stream       : CAPTURE
May 22 13:40:47 localhost pulseaudio[2004]: alsa-util.c:   access       : MMAP_INTERLEAVED
May 22 13:40:47 localhost pulseaudio[2004]: alsa-util.c:   format       : S16_LE
May 22 13:40:47 localhost pulseaudio[2004]: alsa-util.c:   subformat    : STD
May 22 13:40:47 localhost pulseaudio[2004]: alsa-util.c:   channels     : 1
May 22 13:40:47 localhost pulseaudio[2004]: alsa-util.c:   rate         : 44100
May 22 13:40:47 localhost pulseaudio[2004]: alsa-util.c:   exact rate   : 44100 (44100/1)
May 22 13:40:47 localhost pulseaudio[2004]: alsa-util.c:   msbits       : 16
May 22 13:40:47 localhost pulseaudio[2004]: alsa-util.c:   buffer_size  : 32768
May 22 13:40:47 localhost pulseaudio[2004]: alsa-util.c:   period_size  : 32768
May 22 13:40:47 localhost pulseaudio[2004]: alsa-util.c:   period_time  : 743038
May 22 13:40:47 localhost pulseaudio[2004]: alsa-util.c:   tstamp_mode  : ENABLE
May 22 13:40:47 localhost pulseaudio[2004]: alsa-util.c:   period_step  : 1
May 22 13:40:47 localhost pulseaudio[2004]: alsa-util.c:   avail_min    : 32768
May 22 13:40:47 localhost pulseaudio[2004]: alsa-util.c:   period_event : 0
May 22 13:40:47 localhost pulseaudio[2004]: alsa-util.c:   start_threshold  : -1
May 22 13:40:47 localhost pulseaudio[2004]: alsa-util.c:   stop_threshold   : 1073741824
May 22 13:40:47 localhost pulseaudio[2004]: alsa-util.c:   silence_threshold: 0
May 22 13:40:47 localhost pulseaudio[2004]: alsa-util.c:   silence_size : 0
May 22 13:40:47 localhost pulseaudio[2004]: alsa-util.c:   boundary     : 1073741824
May 22 13:40:47 localhost pulseaudio[2004]: alsa-util.c:   appl_ptr     : 16214
May 22 13:40:47 localhost pulseaudio[2004]: alsa-util.c:   hw_ptr       : 0
May 22 13:40:47 localhost pulseaudio[2004]: alsa-source.c: Increasing minimal latency to 1.00 ms
May 22 13:40:47 localhost pulseaudio[2004]: alsa-source.c: Increasing minimal latency to 2.00 ms
May 22 13:40:47 localhost pulseaudio[2004]: alsa-source.c: Increasing minimal latency to 4.00 ms
May 22 13:40:47 localhost pulseaudio[2004]: alsa-source.c: Increasing minimal latency to 8.00 ms
May 22 13:40:47 localhost pulseaudio[2004]: alsa-source.c: Increasing minimal latency to 16.00 ms
May 22 13:40:47 localhost pulseaudio[2004]: alsa-source.c: Increasing minimal latency to 26.00 ms
May 22 13:40:47 localhost pulseaudio[2004]: alsa-source.c: Increasing wakeup watermark to 15.99 ms
May 22 13:40:47 localhost pulseaudio[2004]: alsa-source.c: Increasing minimal latency to 36.00 ms
May 22 13:40:47 localhost pulseaudio[2004]: alsa-source.c: Increasing wakeup watermark to 25.99 ms
May 22 13:40:47 localhost pulseaudio[2004]: alsa-source.c: Increasing minimal latency to 46.00 ms
May 22 13:40:47 localhost pulseaudio[2004]: alsa-source.c: Increasing wakeup watermark to 35.99 ms
May 22 13:40:47 localhost pulseaudio[2004]: alsa-util.c: snd_pcm_delay() returned a value that is exceptionally large: 2146795860 bytes (24340089 ms).
May 22 13:40:47 localhost pulseaudio[2004]: alsa-util.c: Most likely this is a bug in the ALSA driver 'snd_ali5451'. Please report this issue to the ALSA developers.
May 22 13:40:47 localhost pulseaudio[2004]: alsa-util.c: snd_pcm_dump():
May 22 13:40:47 localhost pulseaudio[2004]: alsa-util.c: Hardware PCM card 0 'ALI 5451' device 0 subdevice 0
May 22 13:40:47 localhost pulseaudio[2004]: alsa-util.c: Its setup is:
May 22 13:40:47 localhost pulseaudio[2004]: alsa-util.c:   stream       : CAPTURE
May 22 13:40:47 localhost pulseaudio[2004]: alsa-util.c:   access       : MMAP_INTERLEAVED
May 22 13:40:47 localhost pulseaudio[2004]: alsa-util.c:   format       : S16_LE
May 22 13:40:47 localhost pulseaudio[2004]: alsa-util.c:   subformat    : STD
May 22 13:40:47 localhost pulseaudio[2004]: alsa-util.c:   channels     : 1
May 22 13:40:47 localhost pulseaudio[2004]: alsa-util.c:   rate         : 44100
May 22 13:40:47 localhost pulseaudio[2004]: alsa-util.c:   exact rate   : 44100 (44100/1)
May 22 13:40:47 localhost pulseaudio[2004]: alsa-util.c:   msbits       : 16
May 22 13:40:47 localhost pulseaudio[2004]: alsa-util.c:   buffer_size  : 32768
May 22 13:40:47 localhost pulseaudio[2004]: alsa-util.c:   period_size  : 32768
May 22 13:40:47 localhost pulseaudio[2004]: alsa-util.c:   period_time  : 743038
May 22 13:40:47 localhost pulseaudio[2004]: alsa-util.c:   tstamp_mode  : ENABLE
May 22 13:40:47 localhost pulseaudio[2004]: alsa-util.c:   period_step  : 1
May 22 13:40:47 localhost pulseaudio[2004]: alsa-util.c:   avail_min    : 32768
May 22 13:40:47 localhost pulseaudio[2004]: alsa-util.c:   period_event : 0
May 22 13:40:47 localhost pulseaudio[2004]: alsa-util.c:   start_threshold  : -1
May 22 13:40:47 localhost pulseaudio[2004]: alsa-util.c:   stop_threshold   : 1073741824
May 22 13:40:47 localhost pulseaudio[2004]: alsa-util.c:   silence_threshold: 0
May 22 13:40:47 localhost pulseaudio[2004]: alsa-util.c:   silence_size : 0
May 22 13:40:47 localhost pulseaudio[2004]: alsa-util.c:   boundary     : 1073741824
May 22 13:40:47 localhost pulseaudio[2004]: alsa-util.c:   appl_ptr     : 343894
May 22 13:40:47 localhost pulseaudio[2004]: alsa-util.c:   hw_ptr       : 0
May 22 13:40:47 localhost pulseaudio[2004]: alsa-source.c: Increasing minimal latency to 56.00 ms
May 22 13:40:47 localhost pulseaudio[2004]: alsa-source.c: Increasing wakeup watermark to 45.99 ms
May 22 13:40:47 localhost pulseaudio[2004]: alsa-source.c: Increasing minimal latency to 66.00 ms

<big snip>

May 22 13:40:48 localhost pulseaudio[2004]: alsa-source.c: Increasing wakeup watermark to 725.99 ms
May 22 13:40:48 localhost pulseaudio[2004]: alsa-source.c: Increasing minimal latency to 743.04 ms
May 22 13:40:48 localhost pulseaudio[2004]: alsa-source.c: Increasing wakeup watermark to 733.01 ms
May 22 13:40:52 localhost pulseaudio[2004]: ratelimit.c: 979 events suppressed
May 22 13:40:57 localhost pulseaudio[2004]: ratelimit.c: 1259 events suppressed
May 22 13:41:02 localhost pulseaudio[2004]: ratelimit.c: 1207 events suppressed
May 22 13:41:07 localhost pulseaudio[2004]: ratelimit.c: 501 events suppressed
Comment 1 David Timms 2009-05-24 10:05:43 EDT
I'm thinking it would be useful to have alsa-info hardware log available. You can run alsa-info, and at the end let it paste your results to the alsa site. The resultant URL back here.
Also, you missed giving the version numbers that you are seeing this with:
$ uname -a

$ rpm -qa \*alsa\* kernel\* pavu\* \*pulse\*|sort
Comment 2 Bruce Brackbill 2009-05-24 17:00:21 EDT
alsa-info:
http://www.alsa-project.org/db/?f=fd3be89046ddcd76034fc9f3ae346cb656244140

$ uname -a
Linux localhost.localdomain 2.6.29.3-155.fc11.i686.PAE #1 SMP Wed May 20 17:31:09 EDT 2009 i686 i686 i386 GNU/Linux


$ rpm -qa \*alsa\* kernel\* pavu\* \*pulse\*|sort
alsa-lib-1.0.20-1.fc11.i586
alsa-plugins-pulseaudio-1.0.18-3.fc11.i586
alsa-utils-1.0.20-3.fc11.i586
kernel-2.6.29.1-102.fc11.i586
kernel-2.6.29.3-140.fc11.i586
kernel-2.6.29.3-155.fc11.i586
kernel-firmware-2.6.29.3-155.fc11.noarch
kerneloops-0.12-5.fc11.i586
kernel-PAE-2.6.29.3-140.fc11.i686
kernel-PAE-2.6.29.3-155.fc11.i686
pavucontrol-0.9.8-1.fc11.i586
pulseaudio-0.9.15-11.fc11.i586
pulseaudio-libs-0.9.15-11.fc11.i586
pulseaudio-libs-glib2-0.9.15-11.fc11.i586
pulseaudio-module-bluetooth-0.9.15-11.fc11.i586
pulseaudio-module-gconf-0.9.15-11.fc11.i586
pulseaudio-utils-0.9.15-11.fc11.i586
Comment 3 David Timms 2009-05-26 18:16:15 EDT
(In reply to comment #0)
> Watching video downloaded from: http://twit.cachefly.net/odtv/0506-floss68.mp4
Bruce, what application or combination of applications are you using to play this content ?

Can you choose one particular application and piece of content that can guarantee a crash, and write the steps required to cause that crash ?
Here we are trying to narrow down to a specific repeatable test case.

> May 22 12:56:22 localhost kerneloops: Submitted 1 kernel oopses to
> www.kerneloops.org
Can you provide a URL to the kerneloops submission ?

> May 22 13:41:07 localhost pulseaudio[2004]: ratelimit.c: 501 events suppressed  
Was it at this point where you saw high CPU use (> 95%) ?

Can you post a link to your public smolt profile (to provide cpu type and speed ans so forth) ?
Comment 4 Bruce Brackbill 2009-05-26 20:03:52 EDT
>> Watching video downloaded from: http://twit.cachefly.net/odtv/0506-floss68.mp4
>Bruce, what application or combination of applications are you using to play this content ?

I'm using Totem/Gnome with GST Good, Bad, Ugly and ffmpeg. But see now that there is NO NEED to open an audio/video file to cause the pulseaudio/alsa problem of 100% cpu and the errors. ( *Note*: Right clicking on the volume/speaker icon  and opening up Sound Preferences causes the same problem. )  Just the act of opening the Pulseaudio Volume Control ( or Sound Preferences ) produces it. I've already pasted the following in my original post but I'll truncate it here:

snd_pcm_avail() returned a value that is exceptionally large: 2147451148 bytes (24347518 ms).
Most likely this is a bug in the ALSA driver 'snd_ali5451'. Please report this issue to the ALSA developers.
alsa-util.c: snd_pcm_dump():
Increasing minimal latency to 1.00 ms
alsa-util.c: snd_pcm_delay() returned a value that is exceptionally large: 2146795788 bytes (24340088 ms).
alsa-util.c: Most likely this is a bug in the ALSA driver 'snd_ali5451'. Please report this issue to the ALSA developers.
alsa-util.c: snd_pcm_dump():
Increasing minimal latency to 56.00 ms
Increasing wakeup watermark to 45.99 ms
107 events suppressed

The above continues with 100% CPU until I close the Pulseaudio Volume Control window.

>Can you provide a URL to the kerneloops submission ?

Sorry kernel oops is not giving me a URL.  I reported this to closed bug #493963.

>> May 22 13:41:07 localhost pulseaudio[2004]: ratelimit.c: 501 events suppressed  
>Was it at this point where you saw high CPU use (> 95%) ?

As I mentioned above, just opening the Pulseaudio Volume Control produces 100% CPU.

>Can you post a link to your public smolt profile (to provide CPU type and speed ans so forth) ?  

Here is my smolt page:
http://www.smolts.org/show?uuid=pub_469716df-93a1-4436-992b-4081a3b7780b+
( It would be nice if the smolt gui was fixed:
 https://bugzilla.redhat.com/show_bug.cgi?id=480423 )
Comment 5 Bug Zapper 2009-06-09 12:23:44 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bruce Brackbill 2009-07-24 16:13:53 EDT
I've got some very good news.  The  Pulseaudio Volume Control and/or Sound Preferences Dialogue are no longer hanging/causing 100% CPU.  I have all updates including updates testing as of today. I don't know when/what updates fixed this.

Tailing /var/log/messages with media playing I now see :
Jul 24 12:47:55 localhost kernel: ALSA sound/core/pcm_lib.c:166: BUG: stream =
0, pos = 0x4000, buffer size = 0x4000, period size = 0x4000

Instead of:
May 22 12:48:34 localhost kernel: ALSA sound/core/pcm_lib.c:166: BUG: stream =
0, pos = 0x8000, buffer size = 0x8000, period size = 0x8000
..which i reported earlier.

And also with media playing in totem/etc and I open Pulseaudio Volume Control I see today:
<snip>
Jul 24 13:05:20 localhost pulseaudio[2116]: alsa-source.c: Increasing wakeup watermark to 335.99 ms
Jul 24 13:05:20 localhost pulseaudio[2116]: alsa-source.c: Increasing minimal latency to 356.00 ms
Jul 24 13:05:22 localhost pulseaudio[2116]: alsa-source.c: Increasing wakeup watermark to 361.50 ms
Jul 24 13:05:23 localhost pulseaudio[2116]: ratelimit.c: 18 events suppressed
Jul 24 13:05:29 localhost pulseaudio[2116]: ratelimit.c: 17 events suppressed
<snip>
...but when i close the Pulseaudio Volume Control the above suppresses and wakeup messages seam to go away.

Kernel oopes where driving me nuts, so i turned it off.  In my 20 minute test today ( playing several media files and playing with the Pulseaudio Volume Control and Sound Preferences Dialogue  ) I re-enable kerneloops reporting and I have NOT seen a kernel oops so far.

I don't know if this bug should be closed yet, but today I'm not experiencing it.
Comment 7 Bruce Brackbill 2009-09-15 04:05:22 EDT
There was a needinfo request for bug 502698 which I commented on ( https://bugzilla.redhat.com/show_bug.cgi?id=502698#c2 )

I'm responding here since my card is different than bug 502698.

My answer to: "is anyone still seeing this with current f11 / rawhide kernels (i.e. 2.6.30 at least)?" is yes.

I turned kernel oops reporting back on and when playing Totem I see:
Kernel failure message 1:
ALSA sound/core/pcm_lib.c:167: BUG: stream = 0, pos = 0x4000, buffer size = 0x4000, period size = 0x4000
ALSA sound/core/pcm_lib.c:167: BUG: stream = 0, pos = 0x4000, buffer size = 0x4000, period size = 0x4000
ALSA sound/core/pcm_lib.c:167: BUG: stream = 0, pos = 0x4000, buffer size = 0x4000, period size = 0x4000

Kernel failure message 2:
ALSA sound/core/pcm_lib.c:167: BUG: stream = 0, pos = 0x4000, buffer size = 0x4000, period size = 0x4000
ALSA sound/core/pcm_lib.c:167: BUG: stream = 0, pos = 0x4000, buffer size = 0x4000, period size = 0x4000

Kernel failure message 3:
ALSA sound/core/pcm_lib.c:167: BUG: stream = 0, pos = 0x4000, buffer size = 0x4000, period size = 0x4000

<snip>

# uname -a
Linux localhost.localdomain 2.6.30.5-43.fc11.i686.PAE #1 SMP Thu Aug 27 21:34:36 EDT 2009 i686 i686 i386 GNU/Linux

#rpm -qa | grep gstreamer
gstreamer-tools-0.10.24-1.fc11.i586
gstreamer-ffmpeg-0.10.8-1.fc11.i586
PackageKit-gstreamer-plugin-0.4.9-1.fc11.i586
gstreamer-0.10.24-1.fc11.i586
gstreamer-plugins-good-0.10.15-4.fc11.i586
gstreamer-plugins-ugly-0.10.12-2.fc11.i586
totem-gstreamer-2.26.3-3.fc11.i586
gstreamer-plugins-flumpegdemux-0.10.15-6.fc11.i586
gstreamer-python-0.10.16-1.fc11.i586
gstreamer-plugins-bad-extras-0.10.13-6.fc11.i586
gstreamer-plugins-bad-0.10.13-6.fc11.i586
gstreamer-plugins-base-0.10.24-1.fc11.i586

# rpm -qa | grep pulseaudio
alsa-plugins-pulseaudio-1.0.21-2.fc11.i586
pulseaudio-0.9.15-17.fc11.i586
pulseaudio-module-bluetooth-0.9.15-17.fc11.i586
pulseaudio-utils-0.9.15-17.fc11.i586
pulseaudio-libs-glib2-0.9.15-17.fc11.i586
pulseaudio-module-gconf-0.9.15-17.fc11.i586
pulseaudio-libs-0.9.15-17.fc11.i586
pulseaudio-module-jack-0.9.15-17.fc11.i586

# rpm -qa | grep alsa
alsa-plugins-pulseaudio-1.0.21-2.fc11.i586
alsa-utils-1.0.21-2.fc11.i586
alsa-plugins-jack-1.0.21-2.fc11.i586
alsa-lib-1.0.21-3.fc11.i586
Comment 8 Raymond 2010-04-01 19:26:03 EDT
(In reply to comment #2)
> alsa-info:
> http://www.alsa-project.org/db/?f=fd3be89046ddcd76034fc9f3ae346cb656244140
> 

your card has 32 playback subdevices ( i.e. support hardware mixing ) 

do you really need a sound server ?

why do fedora forcing user with a sound card which support hardware mixing to use a sound server ?


**** List of PLAYBACK Hardware Devices ****
card 0: A5451 [ALI 5451], device 0: ALI 5451 [ALI 5451]
  Subdevices: 32/32
Comment 9 Bug Zapper 2010-04-27 10:28:33 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2010-06-28 08:40:10 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.